class ReturnBtn {
  boolean returnOn;
  float x;
  float y;
  float d;
  float alpha;
  color c;
  float speed;
  
  Tooltip returnTip;
  
  ReturnBtn(color tempc){
    returnOn = false;
    x = 95;
    y = -95;
    d = 20;
    alpha = 0;
    c = tempc;
    speed = 15;
    
    returnTip = new Tooltip(x, y-20, "return", "center");
    
  }

  void display(){
    smooth();
    fill(#ffffff, alpha);
    stroke(c, alpha);
    ellipseMode(CENTER);
    ellipse(x, y, d, d);
    textAlign(CENTER, CENTER);
    noStroke();
    fill(c, alpha);
    text("x", x+1, y-2);

    returnTip.display();
    
    // fade in
    if (alpha < 255) {
      alpha = alpha + speed;
    }
    if (alpha > 255) {
      alpha = 255;
    }

    // if hovering, show tooltip
    float distX = sq((x+transX) - mouseX);
    float distY = sq((y+transY) - mouseY);
    if ((distX + distY) <= sq(d/2)){
      returnTip.onHover();
    } else {
      returnTip.offHover();
    }
    
  }

}
